Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_Dgram::Result Class Reference

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Write_Dgram::Result

[legend]
Collaboration diagram for ACE_Asynch_Write_Dgram::Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous write.
ACE_Message_Block* | message_block (void) const
| Message block which contains the sent data.
int | flags (void) const
| The flags using in the write.
ACE_HANDLE | handle (void) const
| I/O handle used for writing.
ACE_Asynch_Write_Dgram_Result_Impl* | implementation (void) const
| Get the implementation class.
## Protected Methods
| Result (ACE_Asynch_Write_Dgram_Result_Impl *implementation)
| Constrcutor.
virtual | ~Result (void)
| Destructor.
## Protected Attributes
ACE_Asynch_Write_Dgram_Result_Impl* | implementation_
| Implementation class.
## Friends
class | ACE_POSIX_Asynch_Write_Dgram_Result
class | ACE_WIN32_Asynch_Write_Dgram_Result

## Constructor & Destructor Documentation

ACE_Asynch_Write_Dgram::Result::Result ( | ACE_Asynch_Write_Dgram_Result_Impl * implementation )`[protected]`

| Constrcutor.

ACE_Asynch_Write_Dgram::Result::~Result ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

u_long ACE_Asynch_Write_Dgram::Result::bytes_to_write ( | void ) const

| The number of bytes which were requested at the start of the asynchronous write.

int ACE_Asynch_Write_Dgram::Result::flags ( | void ) const

| The flags using in the write.

ACE_HANDLE ACE_Asynch_Write_Dgram::Result::handle ( | void ) const

| I/O handle used for writing.

ACE_Asynch_Write_Dgram_Result_Impl * ACE_Asynch_Write_Dgram::Result::implementation ( | void ) const

| Get the implementation class. Reimplemented from ACE_Asynch_Result.

ACE_Message_Block * ACE_Asynch_Write_Dgram::Result::message_block ( | void ) const

| Message block which contains the sent data.

## Friends And Related Function Documentation

class ACE_POSIX_Asynch_Write_Dgram_Result`[friend]`

| The concrete implementation result classes only construct this class.

class ACE_WIN32_Asynch_Write_Dgram_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Write_Dgram_Result_Impl * ACE_Asynch_Write_Dgram::Result::implementation_`[protected]`

| Implementation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp